# frozen_string_literal: true
class RecruiterMailer < ApplicationMailer
  def candidate_created candidate
    @candidate = candidate

    mail to: @candidate.recruiter.email,
         subject: "Skills Assessment Test - #{candidate.name}"
  end

  def candidate_submitted candidate
    @candidate = candidate

    mail to: @candidate.recruiter.email,
         subject: "Skills Assessment Test - #{candidate.name}"
  end

  def interview_requested candidate
    @candidate = candidate

    mail to: @candidate.recruiter.email,
         subject: "Skills Assesment - Interview Request for #{candidate.name}"
  end

  def interview_declined candidate
    @candidate = candidate

    mail to: @candidate.recruiter.email,
         subject: "Skills Assesment - Interview Declined for #{candidate.name}"
  end
end
